Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.j3d.physics.efield
Class EnergyField

    java.lang.Object
      net.sf.j3d.physics.efield.EnergyField

    public class EnergyField

extends Object

Field Summary
`static double` | `dmass`
`static double` | `perm`

Constructor Summary
`EnergyField(double[][] positive)`

Method Summary
`double` | `getEnergy(double x, double y, double z, double dx, double dy, double dz, double mass)`
`double` | `getK(double nx, double ny, double nz, double dx, double dy, double dz)`
`double` | `getK(double ix, double iy, double iz, double x, double y, double z, double dx, double dy, double dz)`
`double` | `getPotential(double x, double y, double z)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dmass

    public static final double dmass

### perm

    public static final double perm

See Also:
  Constant Field Values

Constructor Detail

### EnergyField

    public EnergyField(double[][] positive)

Method Detail

### getK

    public double getK(double ix,
                       double iy,
                       double iz,
                       double x,
                       double y,
                       double z,
                       double dx,
                       double dy,
                       double dz)

### getK

    public double getK(double nx,
                       double ny,
                       double nz,
                       double dx,
                       double dy,
                       double dz)

### getPotential

    public double getPotential(double x,
                               double y,
                               double z)

### getEnergy

    public double getEnergy(double x,
                            double y,
                            double z,
                            double dx,
                            double dy,
                            double dz,
                            double mass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD